<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS http://max-3000.com/
 * Плагин похожие статьи
 *
*/

# функция автоподключения плагина
function similar_posts_tags_autoload($args = array())
{
	if ( is_type('page') )
	{
		// зададим функцию - добавку к запросу получения страниц
		mso_set_val('page_other_pages_function_add_custom_sql', 'sql_add_similar_posts_tags');
		
		// определим функцию - добавку к запросу получения страниц
		require(getinfo('plugins_dir').'similar_posts_tags/functions.php');
		
		// после получения страницы нам нужно в результат добавить метаполе с похожими страницами
		mso_hook_add('content_end', 'similar_posts_tags_get_id');
	}
}

# функция выполняется при деинсталяции плагина
function similar_posts_tags_uninstall($args = array())
{	
	mso_delete_option('similar_posts_tags', 'plugins'); // удалим созданные опции
	return $args;
}

function similar_posts_tags_mso_options()
{
	mso_admin_plugin_options('similar_posts_tags', 'plugins', 
		array(
			  'k_cat' => array(
								'type' => 'text', 
								'name' => t('Вес категорий'), 
								'description' => 'Целое число, включая 0', 
								'default' => '1'
								),
			  'k_tag' => array(
								'type' => 'text', 
								'name' => t('Вес меток'), 
								'description' => 'Целое число, включая 0',
								'default' => '1'
								)

			),
		t('Настройки плагина «Similar_posts_tags»'),
		t('Укажите необходимые опции')
	);
}

# end file
